********************************************************************************
* NOTE FOR MAC USERS: Change the path to match your working directory. 

global path "[Insert Path Here]/Online Appendix Data and Code"
global output "$path/Output"
global temp "$path/Temp"

********************************************************************************

set more off
set type double

********************************************************************************

* Overall results

use "$temp/no guns clean data", clear

* Summary statistics
reg answer_yes

reg answer_yes [pweight=post_strat_weight]

sum  post_strat_weight if age_65 == 1
sum  post_strat_weight if age_65 == 1 & gender_female == 1

reg diagnosed_mental_disorder
reg regular_access_to_firearm


********************************************************************************

* Regressions

use "$temp/no guns clean data", clear

reg answer_yes possess_or_buy state_judge more_than_half, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) replace 

reg answer_yes possess_or_buy state_judge more_than_half sbqr_gr_eq_7, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 

reg answer_yes possess_or_buy state_judge more_than_half diagnosed_mental_disorder, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 

gen diagnosed_menXpossess_or_buy = diagnosed_mental_disorder * possess_or_buy
gen diagnosed_menXstate_judge = diagnosed_mental_disorder * state_judge
gen diagnosed_menXmore_than_half = diagnosed_mental_disorder * more_than_half

reg answer_yes possess_or_buy state_judge more_than_half diagnosed_mental_disorder diagnosed_menXpossess_or_buy diagnosed_menXstate_judge diagnosed_menXmore_than_half, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 

gen diagnosed_menXregular_access = diagnosed_mental_disorder * regular_access_to_firearm

reg answer_yes possess_or_buy state_judge more_than_half diagnosed_mental_disorder regular_access_to_firearm diagnosed_menXregular_access, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 

reg answer_yes possess_or_buy state_judge more_than_half diagnosed_mental_disorder regular_access_to_firearm live_with_children_under_18 live_with_children_under_5, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 

reg answer_yes possess_or_buy state_judge more_than_half diagnosed_mental_disorder regular_access_to_firearm live_with_children_under_18 live_with_children_under_5 region_* gender_* race_* age_* sex_orien_* income_* mar_status_* educ_* pol_party_*, r
outreg2 using "$output/No Guns Regression Results 2_27_16.xls", excel dec(3) 


********************************************************************************

* Histograms

* All 8
use "$temp/no guns clean data", clear
collapse (mean) answer_yes (seb) se=answer_yes, by(group)
export excel "$output/Data for Histograms.xlsx", first(var) sheet("all 8") sheetreplace


********************************************************************************

* Histograms

* A/B
use "$temp/no guns clean data", clear
collapse (mean) answer_yes (seb) se=answer_yes, by(possess_or_buy)
export excel "$output/Data for Histograms.xlsx", first(var) sheet("AB") sheetreplace

* C/D
use "$temp/no guns clean data", clear
collapse (mean) answer_yes (seb) se=answer_yes, by(state_judge)
export excel "$output/Data for Histograms.xlsx", first(var) sheet("CD") sheetreplace

* E/F
use "$temp/no guns clean data", clear
collapse (mean) answer_yes (seb) se=answer_yes, by(more_than_half)
export excel "$output/Data for Histograms.xlsx", first(var) sheet("EF") sheetreplace


********************************************************************************

* Histograms - Mental disorder and access to guns

use "$temp/no guns clean data", clear
gen count = 1
collapse (mean) answer_yes (seb) se=answer_yes (sum) count, by(diagnosed_mental_disorder regular_access_to_firearm)
export excel "$output/Data for Histograms.xlsx", first(var) sheet("Mental Disorder_Guns") sheetreplace




